[Overview][Types][Classes][Index] | Reference for unit 'IniFiles' (#fcl)

# TIniFileKey

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Object representing a key=value pair in the ini file.

## Declaration

Source position: inifiles.pp line 95

`type TIniFileKey = class`
`public`
`constructor Create();` |  | Create a new instance of TIniFileKey
`property Ident: string; [rw]` |  | Key name
`property Value: string; [rw]` |  | Key value
`end;`

## Inheritance

`TIniFileKey` |  | Object representing a key=value pair in the ini file.
`TObject`

## Description

TIniFileKey is used to keep the key/value pairs in the ini file in memory. It is an internal structure, used internally by the TIniFile class.

## See also

TIniFile |  | Ini file implementation